
Redmine - Defect #2690

Wiki not showing

2009-02-06 14:57 - Irfan Patel

Status: Closed Start date: 2009-02-06

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

When enabling wiki for a particular project it responds with an internal error.

In the production log file i can see:

NoMethodError (You have a nil object when you didn't expect it!

You might have expected an instance of Array.

The error occurred while evaluating nil.include?):

/usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/dirty.rb:126:in `write_attribute'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/attribute_methods.rb:211:in `text='

/usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb:173:in `send'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb:173:in `method_missing'

/app/controllers/wiki_controller.rb:67:in `edit'

/app/controllers/wiki_controller.rb:35:in `index'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `perform_action_without_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:579:in `call_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:572:in `perform_action_without_benchmark'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/rescue.rb:201:in `perform_action_without_caching'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:13:in `passenger_orig_perform_action'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/query_cache.rb:8:in `cache'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:12:in `passenger_orig_perform_action'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/railz/request_handler.rb:53:in `perform_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `process_without_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:568:in `process_without_session_management_support'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/session_management.rb:130:in `process'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:389:in `process'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:149:in `handle_request'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:107:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:120:in `dispatch_cgi'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:35:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/railz/request_handler.rb:38:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_request_handler.rb:163:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/railz/application_spawner.rb:307:in `start_request_handler'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/railz/application_spawner.rb:276:in `handle_spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/utils.rb:165:in `safe_fork'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/utils.rb:163:in `fork'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/utils.rb:163:in `safe_fork'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/railz/application_spawner.rb:274:in `handle_spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/utils.rb:165:in `safe_fork'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/utils.rb:163:in `fork'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/utils.rb:163:in `safe_fork'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/railz/application_spawner.rb:273:in `handle_spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:317:in `__send__'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:317:in `main_loop'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:168:in `start_synchronously'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:135:in `start'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:112:in `fork'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:112:in `start'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/railz/application_spawner.rb:177:in `start'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/railz/framework_spawner.rb:270:in `handle_spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/railz/framework_spawner.rb:263:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/railz/framework_spawner.rb:263:in `handle_spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:317:in `__send__'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:317:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:168:in `start_synchronously'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:135:in `start'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:112:in `fork'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:112:in `start'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/railz/framework_spawner.rb:87:in `start'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/spawn_manager.rb:218:in `spawn_rails_application'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/spawn_manager.rb:213:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/spawn_manager.rb:213:in `spawn_rails_application'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/spawn_manager.rb:122:in `spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/spawn_manager.rb:247:in `handle_spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:317:in `__send__'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:317:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/lib/passenger/abstract_server.rb:168:in `start_synchronously'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.3/bin/passenger-spawn-server:46

Rendering ./public/500.html (500 Internal Server Error)

History

#1 - 2009-02-10 23:32 - Jean-Philippe Lang

Please read SubmittingBugs and give the exact steps to reproduce.

#2 - 2009-03-07 13:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
http://www.tcpdf.org

